#
# spec file for package scim-anthy
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           scim-anthy
Version:        1.3.2
Release:        1.35
Summary:        Anthy Input Method Engine for SCIM
License:        LGPL-2.1+
Group:          System/I18n/Japanese
Url:            https://github.com/scim-im/scim-anthy
Source:         https://github.com/scim-im/scim-anthy/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  anthy-devel
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  scim-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Anthy Input Method Engine for SCIM

%prep
%setup -q

%build
libtoolize --force
autoreconf --force --install --verbose
%configure \
    --disable-static \
    --enable-debug
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_scim_enginedir}/anthy.so
%if 0%{?suse_version} >= 1140
%{_scim_uidir}/anthy-imengine-setup.so
%{_scim_helperdir}/anthy-imengine-helper.so
%endif
%{_scim_datadir}/Anthy/
%{_scim_icondir}/*.png

%changelog
* Sat Jun 18 2016 i@marguerite.su
- update version 1.3.2 bugfix
  * re-encode documentations/data in UTF-8
  * remove useless intl stuff
  * add Eisu_toggle to default key bindings
  * gcc6: cannot convert bool to void* in initialization
  * fix incorrect fsf address warning
  * port to build with gtk3
- drop upstreamed patch:
  * bnc355863-add-Eisu_toggle-to-default-keybindings.patch
  * remove-intl.patch
  * scim-anthy-gtk3-abuild.patch
  * scim-anthy-gcc6.patch
* Fri Jun 17 2016 i@marguerite.su
- fix build for gcc6
- add patch scim-anthy-gcc6.patch
  * fix cannot convert bool to void* in initialization
* Sun Sep 13 2015 i@marguerite.su
- remove scim_gtk3 macro, use suse_version instead
- use upstream source
- use macros from macros.scim
- remove unneeded dependency: update-desktop-files
* Wed Sep 25 2013 coolo@suse.com
- Add remove-intl.patch: fix build for factory by removing intl.
* Fri Jul  6 2012 i@marguerite.su
- use upstream gtk3 abuild patch from tzhuan.
* Tue Jun 12 2012 tiwai@suse.de
- Remove locale(ja) provides for avoiding automatic installation
- Disable gtk3-migration patches temporarily (can be enabled by
  defining scim_gtk3=1)
* Mon Jun  4 2012 binli@opensuse.org
- Add fix-GtkWidget-migration.patch to migration to GTK3.
  Add fix-GtkDialog-has-no-number-named-vbox-error.patch which
  provided by Marguerite Su.
* Mon Jun  4 2012 binli@opensuse.org
- Add scim-anthy-use-gtk2.patch to fix build with scim1.4.13.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sat Nov 19 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Thu Jun  4 2009 tiwai@suse.de
- updated to version 1.2.7:
  * support UTF-8 as default encoding
  * translation updates, misc fixes
* Mon Feb 11 2008 mfabian@suse.de
- bnc#355863, comment #29-#31: add the keysymbol Eisu_toggle to
  the default ON/OFF keys in the default keybinding theme.
* Wed Nov  7 2007 mfabian@suse.de
- add missing includes to fix build with gcc 4.3.0.
* Fri Aug  3 2007 mfabian@suse.de
- update to 1.2.4:
  • Fixed a bug that a character which is possible to become a
  voiced consonant is gone after inputing "Ro" has been fixed.
  • Fixed a name collision issue of ScimColorButton. Now you can
    use scim-anthy with scim-chewing, maybe.
  • Fix install path of helper module.
  • Distinguish two backslash key of jp106 keybord. It
  requires scim-1.4.6.
  Please clear ~/.scim/config after install scim-1.4.6.
  • Some minor fixes.
- remove fix-build-with-scim-1.4.5.patch (included upstream).
* Thu Apr 26 2007 mfabian@suse.de
- update to 1.2.2.
  • Fix a bug that a wrong partial string is converted on direct
    kana conversion after commiting a piece of segments.
* Sat Oct 28 2006 meissner@suse.de
- added missing \ for optflags.
* Thu Oct 12 2006 mfabian@suse.de
- update to 1.2.1.
  • Fix a problem that the romaji pending state aren't restored on
    pressing a backspace or moving the caret has been fixed.
    (Thanks Ryo Dairiki and Akira TAGOH)
  • Add a dictionary encoding preference into setup UI.
  • Revert the default dictionary encoding preference to EUC-JP.
  • Other minor fixes (Thanks Sutou).
- fix to build with scim 1.4.5.
* Fri Sep  1 2006 mfabian@suse.de
- update to 1.2.0.
  • Add pseudo ASCII input mode. It enables users to enter ASCII
    letters during Japanese mode. Thanks Akira TAGOH for your
    patch.
  • Enable reconversion feature on non-GTK+ application (It's an
    ad-hoc solition). Thanks Takashi Nakamoto.
  • Enable to choose behavior on focus out.
  • Add predict key into some key bindings themes.
    Thanks Ikuya Awashiro.
  • Try EUC-JP-MS first when convert characters from Anthy to
    Unicode.
  • The bug that direct select keys doesn't work during
    predicting has been fixed. Thanks TAGOH, UTUMI, Bando for
    your report.
  • Fix some wrong entries in Romaji tables. Thanks Jun Oizumi.
  • Fix a bug that commited clauses aren't cleared when the
    learning preference is disabled. Thanks Jun Oizumi.
- remove patch commit-when-focus-out.patch. According to the
  news above the behaviour on focus out is configurable now.
  One can choose between "commit" and "clear" and "commit" is the
  default. Nice.
* Fri Jul  7 2006 mfabian@suse.de
- update to 1.0.0.
  + Add symbol style preference (Thanks Akira TAGOH).
  + Don't activate direct select key when the lookup window isn't
    shown (Thanks Akira TAGOH).
  + Add SKIM support (Provide as external package).
  + Add prediction key bindings to ATOK like key bindings theme.
  + Ensure to through space key event to enable application's
    specific feature like Mozilla's scrolling feature (Thanks
    reporting > Yukiko Bando).
  + Fix double commiting bug on Wide Latin mode.
    (Thanks Ryo Dairiki and UTUMI Hirosi)
* Thu Feb 23 2006 mfabian@suse.de
- add "Provides: locale(scim:ja)"
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 mfabian@suse.de
- update to 0.8.0.
* Thu Sep  1 2005 mfabian@suse.de
- Bugzilla #114736: use patch extracted from upstream changes
  to fix the keybinding problem and plug a memory leak.
* Wed Aug  3 2005 mfabian@suse.de
- update to 0.6.0. Changes according to the NEWS file:
  + Method of loading romaji table has been changed.
    Old user settings will be cleared when you change it by scim-setup.
  + Add preedit color preference.
  + Add some prefereneces for lookup window.
  + Add AZIK extended romaji table.
  + Enable to customize kana typing table.
  + Add a kana table for 101 keyborad.
  + Support kana key symbols of X Window System.
    But this feature has some limitations:
  - You can't switch to X's kana typing mode from scim-anthy.
  You should customize /etc/X11/xorg.conf to switch it.
  See http://ikumi.revery.net/cmp/kanainputonx.htm for more details.
  - Typing method indicator on the panel can't indicate X's kana lock state.
  + Experimental NICOLA support.
  + Other minor fixes.
  + Fix a wrong key binding in the Microsoft IME like key bindings.
  + The bug that preferences of period, comma and width of numbers aren't
    applied correctly has been fixed.
* Mon Jul  4 2005 mfabian@suse.de
- update to 0.5.0.
* Tue Jun  7 2005 mfabian@suse.de
- adapt the patch to commit the preedit string when switching of
  the input method and when moving the focus to a different window
  to the new version.
* Fri Jun  3 2005 mfabian@suse.de
- update to 0.4.2.
* Tue Feb 15 2005 mfabian@suse.de
- update to 0.3.1.
* Mon Dec 13 2004 mfabian@suse.de
- Bugzilla #47019: apply patch provided by Zhe Su <zsu@novell.com>
  to commit the preedit string when switching of the input method
  and when moving the focus to a different window.
* Thu Dec  9 2004 mfabian@suse.de
- new package: scim-anthy, version 0.2.0.
